Bug 801577 - Process lists sorts numeric data as alpha
Process lists sorts numeric data as alpha
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
x86_64 Linux
medium Severity medium (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2012-03-08 16:48 EST by Matt Warren
Modified: 2013-09-01 05:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 05:57:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Warren 2012-03-08 16:48:03 EST
Description of problem:

When a process list is retrieved for Linux platform, the data on RAM and CPU usage is sorted by string alpha values, not numeric values. In ascending order, "10" comes before "2".

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1.Schedule and retrieve a process list.
  

Expected results:

Numeric data should sort by their value.
Comment 1 Charles Crouch 2012-03-10 22:00:53 EST
Is this is a UI rendering issue?
Comment 2 Mike Foley 2012-03-12 11:42:32 EDT
per BZ traige (crouch, foley, loleary), medium priority, not targetted for JON 3.1
Comment 3 Jay Shaughnessy 2012-03-26 12:10:48 EDT
This is a UI rendering issue. The operation results are basically
shown as a configuration, using the standard ConfigurationEditor.

Fields are sorted numerically if the ListGridField is declared as a
numeric type.  The issue is that the fields in plugin descriptor are
declared as Long, which is not supported by SmartGWT, so we default to
String.

I need to investigate whether using Integer or Float may be an option.
Comment 4 Jay Shaughnessy 2012-03-26 14:14:00 EDT
master commit 95fc8dd5273b973633b1907d654a468e883afcb6

When presenting a PropertyMapListGridRecord in the ConfigurationEditor
make it sort numerically for Long properties.  Although Long support
is not well-documented in SmartGWT, I think declaring the type
field as a Integer and then ensuring we set the attribute value
to the Long Object will be ok.

It seems to work.

See http://forums.smartclient.com/showthread.php?t=17431&highlight=listgridfield+long
Comment 5 Heiko W. Rupp 2013-09-01 05:57:31 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.